--- Asterisk.orig/formats/format_pcm.c	2008-05-27 15:53:42.000000000 -0400
+++ Asterisk/formats/format_pcm.c	2008-09-09 14:19:52.000000000 -0400
@@ -284,9 +284,11 @@
 	if (magic != (uint32_t) AU_MAGIC) {
 		ast_log(LOG_WARNING, "Bad magic: 0x%x\n", magic);
 	}
-/*	hdr_size = ltohl(header[AU_HDR_HDR_SIZE_OFF]);
-	if (hdr_size < AU_HEADER_SIZE)*/
-	hdr_size = AU_HEADER_SIZE;
+
+	hdr_size = ltohl(header[AU_HDR_HDR_SIZE_OFF]);
+	if (hdr_size < AU_HEADER_SIZE)
+		hdr_size = AU_HEADER_SIZE;
+
 /*	data_size = ltohl(header[AU_HDR_DATA_SIZE_OFF]); */
 	encoding = ltohl(header[AU_HDR_ENCODING_OFF]);
 	if (encoding != AU_ENC_8BIT_ULAW) {
